Show / Hide Table of Contents

# AsyncBeginDragTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncBeginDragTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IBeginDragHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncBeginDragTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IBeginDragHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnBeginDragAsyncHandler() |
GetOnBeginDragAsyncHandler(CancellationToken) |
OnBeginDragAsync() |
OnBeginDragAsync(CancellationToken) |

### Methods

#### GetOnBeginDragAsyncHandler()

    public IAsyncOnBeginDragHandler GetOnBeginDragAsyncHandler()

##### Returns

IAsyncOnBeginDragHandler

#### GetOnBeginDragAsyncHandler(CancellationToken)

    public IAsyncOnBeginDragHandler GetOnBeginDragAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnBeginDragHandler

#### OnBeginDragAsync()

    public UniTask<PointerEventData> OnBeginDragAsync()

##### Returns

UniTask<PointerEventData>

#### OnBeginDragAsync(CancellationToken)

    public UniTask<PointerEventData> OnBeginDragAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IBeginDragHandler